> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowscale.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run Details

> Retrieves detailed information about a specific run using its unique run ID.



## OpenAPI

````yaml GET /api/v1/runs/{run_id}
openapi: 3.1.0
info:
  title: FlowScale ComfyUI API
  version: 2.0.0
servers:
  - url: https://your-deployment-api-url.pod.flowscale.ai
    description: 'Pod #your-pod (Default)'
  - url: '{apiEndpoint}'
    description: Deployed API Endpoint
    variables:
      apiEndpoint:
        default: https://your-domain.com
        description: Your project's deployed API endpoint
security: []
paths:
  /api/v1/runs/{run_id}:
    get:
      tags:
        - run
      summary: Get Run
      description: >-
        Retrieves detailed information about a specific run using its unique run
        ID.
      operationId: get_run_api_v1_runs__run_id__get
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            title: Run Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunDetailResponseWrapper'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    RunDetailResponseWrapper:
      properties:
        status:
          type: string
          title: Status
        data:
          $ref: '#/components/schemas/RunDetailResponse'
        errors:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Errors
        meta:
          anyOf:
            - type: object
            - type: 'null'
          title: Meta
      type: object
      required:
        - status
        - data
      title: RunDetailResponseWrapper
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RunDetailResponse:
      properties:
        workflow_id:
          type: string
          title: Workflow Id
        group_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Id
        status:
          type: string
          title: Status
        inputs:
          items:
            type: object
          type: array
          title: Inputs
        output_names:
          items:
            type: string
          type: array
          title: Output Names
        outputs:
          items:
            type: object
          type: array
          title: Outputs
        created_at:
          type: string
          title: Created At
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Completed At
      type: object
      required:
        - workflow_id
        - group_id
        - status
        - inputs
        - output_names
        - outputs
        - created_at
        - started_at
        - completed_at
      title: RunDetailResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````